sparkler_button

A widget button that can sparkle.

Getting Started

Installation

Add dependency to pubspec.yaml

dependencies:
...
sparkler_button: ^lastest_version

Run in your terminal

flutter packages get

How to use

import 'package:sparkler_button/sparkler_button.dart';
SparklerButton(
buttonTitle: Text(
 'Button that can Sparkle',
 style: TextStyle(
   color: Colors.white,
       fontWeight: FontWeight.w300,
       fontSize: 17.0,
     ),
 ),
 buttonColor: Color(0xff3dce89),
 onclickButtonFunction: () {
   print('hello');
 }
);

Attribute

ParameterDefaultDescription
titlenullChange this value if you what to put pagination in other placeThe text on the button, cannot be omitted.
bgColornullButton background color, cannot be omitted.
height50.0Height of button.
width200.0Width of button.
interval3Button blink interval.(seconds)
time300Blink time.(milliseconds)
highlightColorColors.whiteFlash effect background color.
onclicknullEvents executed by clicking the button, cannot be omitted.

Libraries

sparkler_button